<?php 
// mengaktifkan session pada php
session_start();

// menghubungkan php dengan koneksi database
include 'koneksi.php';

// menangkap data yang dikirim dari form login
$username = $_POST['username'];
$password = $_POST['password'];


// menyeleksi data user dengan username dan password yang sesuai
$login = mysqli_query($koneksi,"select * from masuk where USERNAME='$username' and PASSWORD='$password'");
// menghitung jumlah data yang ditemukan
$cek = mysqli_num_rows($login);

// cek apakah username dan password di temukan pada database
if($cek > 0){

	$data = mysqli_fetch_assoc($login);
	// $query = mysqli_query($koneksi, "SELECT username as un, nama, level FROM masuk where username = $uname");
	// $data = mysqli_fetch_array($query);
		$fullname = $data['NAMA'];
					
	// cek jika user login sebagai admin
	if($data['LEVEL']=="ADMIN"){

		// buat session login dan username
		$_SESSION['USERNAME'] = $username;
		$_SESSION['NAMA'] = $fullname;
		$_SESSION['LEVEL'] = "ADMIN";
		// alihkan ke halaman dashboard admin
		header("location:admin/index.php");

	// cek jika user login sebagai user
	}else if($data['LEVEL']=="KONTRAK"){
		// buat session login dan username
		$_SESSION['USERNAME'] = $username;
		$_SESSION['NAMA'] = $fullname;
		$_SESSION['LEVEL'] = "KONTRAK";
		// alihkan ke halaman dashboard user
		header("location:user/index.php");

	// cek jika user login sebagai superadmin
	}else if($data['LEVEL']=="SUPERMAN"){
		// buat session login dan username
		$_SESSION['USERNAME'] = $username;
		$_SESSION['NAMA'] = $fullname;
		$_SESSION['LEVEL'] = "SUPERMAN";
		// alihkan ke halaman dashboard superadmin
		header("location:admin/index.php");

	}else{

		// alihkan ke halaman login kembali
		header("location:login.php?pesan=Periksa username dan Password Anda");
	}

	
}else{
	header("location:login.php?pesan=Periksa username dan Password Anda");
}



?>